#include <iostream>
#include <fstream>
#include<iomanip>
#include<cmath>
using namespace std;
int tamgiac(int a,int b, int c)
{
	
	if((a+b>c)&&(b+c>a)&&(c+a>b))
	{
		return 1; 	
	}
	else
	{
		return 0;
	}
	
}
double dientich(int a,int b,int c)
{
	float p=(a+b+c)/2;
	double s=sqrt(p*(p-a)*(p-b)*(p-c));
	return s;
}
int main()
{
	int a,b,c;
	ifstream fi("tamgiac.inp");
	ofstream fo("tamgiac.out");
	fi>>a>>b>>c;
	if(tamgiac(a,b,c)==1)
	{
		fo<<"YES"<<endl;
		fo.setf(ios::fixed);
		fo.setf(ios::showpoint);
		fo.precision(2);
		fo<<dientich(a,b,c);
	}
	else
	{
		fo<<"NO";
	}
	fi.close();
	fo.close();
}
